org.eclipse.wst.jsdt.chromium.debug.core.model

## Enum LaunchParams.LookupMode

- java.lang.Object
- - java.lang.Enum<LaunchParams.LookupMode>
  - - org.eclipse.wst.jsdt.chromium.debug.core.model.LaunchParams.LookupMode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<LaunchParams.LookupMode>

Enclosing class:
  LaunchParams

    public static enum LaunchParams.LookupMode
    extends java.lang.Enum<LaunchParams.LookupMode>

### Nested Class Summary

Nested Classes
`static interface` `LaunchParams.LookupMode.Visitor<R>`

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`AUTO_DETECT`
`EXACT_MATCH`

### Field Summary

Fields
`static LaunchParams.LookupMode` `DEFAULT_VALUE`
`static LaunchParams.ValueConverter<java.lang.String,LaunchParams.LookupMode>` `STRING_CONVERTER`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
`abstract <R> R` `accept(LaunchParams.LookupMode.Visitor<R> visitor)`
`static LaunchParams.LookupMode` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static LaunchParams.LookupMode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### EXACT_MATCH

    public static final LaunchParams.LookupMode EXACT_MATCH

#### AUTO_DETECT

    public static final LaunchParams.LookupMode AUTO_DETECT

### Field Detail

#### DEFAULT_VALUE

    public static final LaunchParams.LookupMode DEFAULT_VALUE

#### STRING_CONVERTER

    public static final LaunchParams.ValueConverter<java.lang.String,LaunchParams.LookupMode> STRING_CONVERTER

### Method Detail

#### values

    public static LaunchParams.LookupMode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (LaunchParams.LookupMode c : LaunchParams.LookupMode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static LaunchParams.LookupMode valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### accept

    public abstract <R> R accept(LaunchParams.LookupMode.Visitor<R> visitor)